## ros-kinetic-mongodb-log 0.4.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mongodb_log)

# for ROS indigo build without C++11 support
# for ROS indigo compile without c++11 support
if(DEFINED ENV{ROS_DISTRO})
  if(NOT $ENV{ROS_DISTRO} STREQUAL "indigo")
    add_compile_options(-std=c++11)
    message(STATUS "Building with C++11 support")
  else() 
    message(STATUS "ROS Indigo: building without C++11 support")
  endif()
else()
  message(STATUS "Environmental variable ROS_DISTRO not defined, checking OS version")
  file(STRINGS /etc/os-release RELEASE_CODENAME
		REGEX "VERSION_CODENAME=")
  if(NOT ${RELEASE_CODENAME} MATCHES "trusty") 
    add_compile_options(-std=c++11)
    message(STATUS "OS distro is not trusty: building with C++11 support")
  else()
    message(STATUS "Ubuntu Trusty: building without C++11 support")
  endif()
endif()

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED rospy roslib rosgraph rostopic tf sensor_msgs mongodb_store libmongocxx_ros)

## System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS system thread filesystem)
find_package(OpenSSL REQUIRED)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

#######################################
## Declare ROS messages and services ##
#######################################

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES mongodb_log
#  CATKIN_DEPENDS other_catkin_pkg
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

## Declare a cpp library
# add_library(mongodb_log
#   src/${PROJECT_NAME}/mongodb_log.cpp
# )

#link_libraries(mongoclient)
add_executable(mongodb_log_tf src/mongodb_log_tf.cpp)
add_executable(mongodb_log_pcl src/mongodb_log_pcl.cpp)
add_executable(mongodb_log_cimg src/mongodb_log_cimg.cpp)

# rosbuild_add_executable(rosmongodb_log_trimesh src/rosmongodb_log_trimesh.cpp)
target_link_libraries(mongodb_log_tf
  ${catkin_LIBRARIES}   
  ${OPENSSL_LIBRARIES}
  ${Boost_LIBRARIES}
)
target_link_libraries(mongodb_log_pcl
  ${catkin_LIBRARIES}   
  ${OPENSSL_LIBRARIES}
  ${Boost_LIBRARIES}
)
target_link_libraries(mongodb_log_cimg
  ${catkin_LIBRARIES}   
  ${OPENSSL_LIBRARIES}
  ${Boost_LIBRARIES}
)

#rosbuild_link_boost(mongodb_log_cimg system)
#rosbuild_link_boost(mongodb_log_pcl system)
#rosbuild_link_boost(mongodb_log_tf system)
#rosbuild_link_boost(mongodb_log_trimesh system)


## Declare a cpp executable
# add_executable(mongodb_log_node src/mongodb_log_node.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(mongodb_log_node mongodb_log_generate_messages_cpp)

## Specify libraries to link a library or executable target against
# target_link_libraries(mongodb_log_node
#   ${catkin_LIBRARIES}
# )

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
install(PROGRAMS
  scripts/mongodb_log.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)


## Mark executables and/or libraries for installation
install(TARGETS mongodb_log_tf mongodb_log_cimg mongodb_log_pcl
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_mongodb_log.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-kinetic-mongodb-log (0.4.5-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Fri, 28 Jun 2019 00:00:00 -0000

ros-kinetic-mongodb-log (0.4.3-1xenial) xenial; urgency=high

  * Merge pull request #238 <https://github.com/strands-project/mongodb_store/issues/238> from charlielito/patch-1
    Fix typo in log message
  * Fix typo in log message
    It is subscribe rather than subsribe
  * Contributors: Carlos Andrés Álvarez Restrepo, Nick Hawes

 -- Marc Hanheide <marc@hanheide.net>  Thu, 04 Apr 2019 00:00:00 -0000

ros-kinetic-mongodb-log (0.4.2-1xenial) xenial; urgency=high

  * instead of lsb-release read /etc/os-version from CMake to find OS version
  * Contributors: Ferenc Balint-Benczedi

 -- Marc Hanheide <marc@hanheide.net>  Mon, 04 Jun 2018 00:00:00 -0000

ros-kinetic-mongodb-log (0.4.1-1xenial) xenial; urgency=high

  * check if env. var. exists if not decide based on OS version
  * Contributors: Ferenc Balint-Benczedi

 -- Marc Hanheide <marc@hanheide.net>  Tue, 29 May 2018 00:00:00 -0000

ros-kinetic-mongodb-log (0.4.0-1xenial) xenial; urgency=high

  * if compiler supports it use C++11
  * Contributors: Ferenc Balint-Benczedi

 -- Marc Hanheide <marc@hanheide.net>  Wed, 23 May 2018 00:00:00 -0000

ros-kinetic-mongodb-log (0.3.8-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Wed, 02 May 2018 00:00:00 -0000

ros-kinetic-mongodb-log (0.3.7-1xenial) xenial; urgency=high

  * Merge pull request #210 <https://github.com/strands-project/mongodb_store/issues/210> from hawesie/kinetic-devel
    Updated to build on OS X with the mongo client legacy version.
  * Used the openssl libs from find_package.
  * Updated to build on OS X with the mongo client legacy version.
    This makes a couple of changes. For libmongocxx_ros the paths for openssl are added to the scons command and all ".so" and set to ".so" or ".dylib" depending on platform. For mongodb_log this removes the explicit linking of mongoclient which isn't needed since catkin_libraries includes the lib created by libmongocxx_ros.
  * Contributors: Nick Hawes

 -- Marc Hanheide <marc@hanheide.net>  Thu, 14 Dec 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.3.6-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Thu, 14 Sep 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.3.5-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Sun, 03 Sep 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.3.4-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Sun, 03 Sep 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.3.3-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Sat, 02 Sep 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.3.2-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Thu, 31 Aug 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.3.1-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Thu, 24 Aug 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.3.0-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Thu, 24 Aug 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.2.2-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Wed, 28 Jun 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.2.1-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Wed, 28 Jun 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.2.0-1xenial) xenial; urgency=high

  * dependencies fixing
  * Contributors: Marc Hanheide, Nick Hawes

 -- Marc Hanheide <marc@hanheide.net>  Wed, 28 Jun 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.30-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Fri, 23 Jun 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.29-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Mon, 19 Jun 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.28-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Wed, 09 Nov 2016 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.27-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Tue, 01 Nov 2016 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.26-1xenial) xenial; urgency=high

  * indigo-0.1.25
  * Updating changelogs
  * indigo-0.1.24
  * updated Changelogs
  * Contributors: Nick Hawes

 -- Marc Hanheide <marc@hanheide.net>  Fri, 14 Oct 2016 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.25-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Thu, 28 Apr 2016 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.24-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Tue, 19 Apr 2016 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.23-1xenial) xenial; urgency=high

  * Fixed missing namespace for mongodb_log
  * indigo-0.1.22
  * updated Changelogs
  * Contributors: Nick Hawes

 -- Marc Hanheide <marc@hanheide.net>  Tue, 19 Apr 2016 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.22-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Tue, 23 Feb 2016 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.20-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Wed, 11 Nov 2015 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.19-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Wed, 28 Oct 2015 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.18-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Wed, 28 Oct 2015 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.17-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Tue, 01 Sep 2015 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.16-1xenial) xenial; urgency=high

  * add option to treat topic name arguments as regular expression
  * add option to specify collection name
  * Contributors: Furushchev

 -- Marc Hanheide <marc@hanheide.net>  Tue, 04 Aug 2015 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.15-1xenial) xenial; urgency=high





=== debian/control ===
Source: ros-kinetic-mongodb-log
Section: misc
Priority: extra
Maintainer: Marc Hanheide <marc@hanheide.net>
Build-Depends: debhelper (>= 9.0.0), libssl-dev, ros-kinetic-catkin, ros-kinetic-libmongocxx-ros, ros-kinetic-mongodb-store, ros-kinetic-rosgraph, ros-kinetic-roslib, ros-kinetic-rospy, ros-kinetic-rostopic, ros-kinetic-sensor-msgs, ros-kinetic-tf
Homepage: http://ros.org/wiki/mongodb_log
Standards-Version: 3.9.2

Package: ros-kinetic-mongodb-log
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pymongo, ros-kinetic-libmongocxx-ros, ros-kinetic-mongodb-store, ros-kinetic-rosgraph, ros-kinetic-roslib, ros-kinetic-rospy, ros-kinetic-rostopic, ros-kinetic-sensor-msgs, ros-kinetic-tf
Description: The mongodb_log package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-mongodb-log//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
